## gimpfloatingsel

gimpfloatingsel — Functions for removing or attaching floating selections.

## Functions

gboolean | gimp_floating_sel_remove ()
gboolean | gimp_floating_sel_anchor ()
gboolean | gimp_floating_sel_to_layer ()
gboolean | gimp_floating_sel_attach ()
gboolean | gimp_floating_sel_rigor ()
gboolean | gimp_floating_sel_relax ()

## Description

Functions for removing or attaching floating selections.

## Functions

### gimp_floating_sel_remove ()

    gboolean
    gimp_floating_sel_remove (gint32 floating_sel_ID);

Remove the specified floating selection from its associated drawable.

This procedure removes the floating selection completely, without any side effects. The associated drawable is then set to active.

#### Parameters

floating_sel_ID | The floating selection. |

#### Returns

TRUE on success.

### gimp_floating_sel_anchor ()

    gboolean
    gimp_floating_sel_anchor (gint32 floating_sel_ID);

Anchor the specified floating selection to its associated drawable.

This procedure anchors the floating selection to its associated drawable. This is similar to merging with a merge type of ClipToBottomLayer. The floating selection layer is no longer valid after this operation.

#### Parameters

floating_sel_ID | The floating selection. |

#### Returns

TRUE on success.

### gimp_floating_sel_to_layer ()

    gboolean
    gimp_floating_sel_to_layer (gint32 floating_sel_ID);

Transforms the specified floating selection into a layer.

This procedure transforms the specified floating selection into a layer with the same offsets and extents. The composited image will look precisely the same, but the floating selection layer will no longer be clipped to the extents of the drawable it was attached to. The floating selection will become the active layer. This procedure will not work if the floating selection has a different base type from the underlying image. This might be the case if the floating selection is above an auxiliary channel or a layer mask.

#### Parameters

floating_sel_ID | The floating selection. |

#### Returns

TRUE on success.

### gimp_floating_sel_attach ()

    gboolean
    gimp_floating_sel_attach (gint32 layer_ID,
                              gint32 drawable_ID);

Attach the specified layer as floating to the specified drawable.

This procedure attaches the layer as floating selection to the drawable.

#### Parameters

layer_ID | The layer (is attached as floating selection). |
drawable_ID | The drawable (where to attach the floating selection). |

#### Returns

TRUE on success.

### gimp_floating_sel_rigor ()

    gboolean
    gimp_floating_sel_rigor (gint32 floating_sel_ID,
                             gboolean undo);

`gimp_floating_sel_rigor` is deprecated and should not be used in newly-written code.

There is no replacement for this procedure.

#### Parameters

floating_sel_ID | The floating selection. |
undo | . |

#### Returns

TRUE on success.

### gimp_floating_sel_relax ()

    gboolean
    gimp_floating_sel_relax (gint32 floating_sel_ID,
                             gboolean undo);

`gimp_floating_sel_relax` is deprecated and should not be used in newly-written code.

There is no replacement for this procedure.

#### Parameters

floating_sel_ID | The floating selection. |
undo | . |

#### Returns

TRUE on success.

## Types and Values